FcFontationsQueryAll(3)

NAME
FcFontationsQueryAll - compute all patterns from font file (and index)

SYNOPSIS

#include <fontconfig.h> #include <fcfontations.h>

unsigned int FcFontationsQueryAll (const FcChar8 *file, int id, FcBlanks *blanks, int *count, FcFontSet *set);

DESCRIPTION

UNSTABLE feature. Constructs patterns found in 'file'. Currently pattern is incomplete compared to FcFreeTypeQueryAll() and may deviate from what FreeType indexing produces. Not supported yet, but will follow: If id is -1, then all patterns found in 'file' are added to 'set'. Otherwise, this function works exactly like FcFreeTypeQueryAll()/FcFreeTypeQuery(). The number of faces in 'file' is returned in 'count'. The number of patterns added to 'set' is returned. FcBlanks is deprecated, blanks is ignored and accepted only for compatibility with older code.

SINCE

version 2.17.0